Name: anonftpd
Summary: Fast, secure read-only, anonymous FTP server.
Version: 0.96
Release: 0
Copyright: Copyright
Group: Networking/Daemons
Source: ftp://koobera.math.uic.edu/pub/software/anonftpd-0.96.shar.gz
BuildRoot: /tmp/anonftpd
URL: ftp://koobera.math.uic.edu/www/anonftpd.html
Packager: Bruce Guenter <bruce.guenter@qcc.sk.ca>

%description
anonftpd is a fast, secure read-only, anonymous FTP server.

%prep
%setup -c -T
zcat ${RPM_SOURCE_DIR}/${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}.shar.gz | sh

cat >conf-cc.sh <<EOF
CC='gcc $RPM_OPT_FLAGS'
LD='gcc $RPM_OPT_FLAGS -s'
EOF

cat >conf-home.h <<EOF
#ifndef CONF_HOME_H
#define CONF_HOME_H

#define CONF_HOME "/home/ftp"

#endif
EOF

%build
make
make man

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/home/ftp

make ftp-setup
./ftp-setup "`cat systype`" $RPM_BUILD_ROOT/home/ftp
for num in 5 8; do
	mkdir -p $RPM_BUILD_ROOT/home/ftp/man/man$num
	install *.$num $RPM_BUILD_ROOT/home/ftp/man/man$num
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root) %doc BLURB CHANGES README RFCEPLF THANKS TODO
%attr(-,root,root) /home/ftp

